Bug 56316 - tclsh dumps core when run on Athlon
tclsh dumps core when run on Athlon
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: tcltk (Show other bugs)
7.2
athlon Linux
high Severity high
: ---
: ---
Assigned To: Jens Petersen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-15 10:27 EST by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-05 15:32:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-15 10:27:40 EST
Description of Problem:
tclsh core dumps on athlons (but not on intel)

Version-Release number of selected component (if applicable):
tcltk-8.3.3-65

How Reproducible:
easy

Steps to Reproduce:
1. run tclsh
2. 
3. 

Actual Results:
duane@tbyte [40] uname -a
Linux tbyte.acs.unt.edu 2.4.9-13 #1 Tue Oct 30 19:32:27 EST 2001 i686
unknown
duane@tbyte [41] cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 4
model name      : AMD Athlon(tm) Processor
...
duane@tbyte [42] rpm -qif /usr/bin/tclsh
Name        : tcl                          Relocations: (not relocateable)
Version     : 8.3.3                             Vendor: Red Hat, Inc.
Release     : 65                            Build Date: Wed 29 Aug 2001
02:11:39 PM CDT
Install date: Tue 30 Oct 2001 08:16:08 AM CST      Build Host:
porky.devel.redhat.com
Group       : Development/Languages         Source RPM:
tcltk-8.3.3-65.src.rpm
...
duane@tbyte [43] /usr/bin/tclsh
Segmentation fault (core dumped)
duane@tbyte [44] gdb /usr/bin/tclsh core
GNU gdb Red Hat Linux 7.x (5.0rh-15) (MI_OUT)
Copyright 2001 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
Core was generated by `/usr/bin/tclsh'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/lib/libtcl.so.0...done.
Loaded symbols for /usr/lib/libtcl.so.0
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x4006b307 in Tcl_LinkVar () at eval.c:41
41      eval.c: No such file or directory.
        in eval.c
(gdb) 


Expected Results:


Additional Information:
Comment 1 Need Real Name 2001-12-05 15:32:10 EST
05Dec01 -- Today I reinstalled RH 7.2 on the same hardware and this problem is
not reproducible.  The only difference has been to decrease the clock speed a
bit (a 1.4G Athlon but I am now running it at 1Ghz).  I guess this can be marked
down to hardware problems.  Sorry for the bogus report.

Thanks, Duane

Note You need to log in before you can comment on or make changes to this bug.